/*****************************************************************************
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
******************************************************************************/
/*                                                                           */
/*                                   #                                       */
/*                                   #                                       */
/*                                  ###                                      */
/*                                  ###                                      */
/*                                 #####                                     */
/*                                 #####                                     */
/*                                #######                                    */
/*                                #######                                    */
/*                   #################################                       */
/*                       #########################                           */
/*                           #################                               */
/*                  [[[[The Working Class Unlimited]]]                       */
/*                             #############                                 */
/*                             #############                                 */
/*                            ######   ######                                */
/*                            ###         ####                               */
/*                           ##              ##                              */
/*                          #                  #                             */
/*                                                                           */
/*                 (C) The Working Class Unlimited 1994.                     */

/**
 **
 **			  X p g p  d e m o - 2 (v2.24)
 **
 **
 **   There is no software like public domain software.
 **
 **/
#include <stdio.h>
#include <stdlib.h>
#include "Xpgp.h"


int main()
{
 int n;
 double d;
 
 OpenPS("demo2l.ps",LAND);			/* open device 0 */
 OpenPS("demo2p.ps",PORT);			/* open device 1 */
 n=OpenX(400,400);				/* open device 2 */

 for(;n>=0;--n) {
     OutputTo(n);				/* send output to device n */
     Plot(100,100);
     Circle(100,100,5);
     Line(110,110,300,110);
     LineR(-50,-10);
     SetFontSize(18);
     DrawString(40,40,"Demo - 2");
     Line(40,43,70,43);
     PlotQP(17,11);
     Ellipse(250,250,100,50);
     Ellipse(250,250,50,100);
     Triangle(10,200,10,350,100,250);
     FilledTriangle(20,220,20,330,80,250);
     for(d=2.0;d>=0.0;d-=0.1) {
       SetDash((double)rand()*10/RAND_MAX,(double)rand()*10/RAND_MAX,
	       (double)rand()*10/RAND_MAX,(double)rand()*10/RAND_MAX);
       SetLineWidth(d);
       Line(300,d*40+20,400,d*40+20);
     }
 }
 fputs("Done",stdout);
 getchar();
 CloseDevice(0);				/* close devices */
 CloseDevice(1);
 CloseDevice(2);

 return 0;
}
    

