!
!			X p g p  v2.25  -  mms
!
!

! Macros
.IFDEF debug
CC_FLAGS	= /noopt/debug/float=ieee
LINK_FLAGS	= /debug 
.ELSE
CC_FLAGS	= /float=ieee
LINK_FLAGS	= 
.ENDIF

! Modules
OBJ_MD	= xpgp.obj, xpgp_x.obj, xpgp_ps.obj, xpgp_bmp.obj, psencode.obj
HEADERS = xpgpp.h

! Rules
.c.obj		: ; cc $(CC_FLAGS)/obj=$(mms$target) $(mms$source)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

!
! Build xpgp.olb
!
xpgp.olb : $(OBJ_MD)
	library/create xpgp.olb $(OBJ_MD)

demo : demo1.obj, demo2.obj, xpgp.olb
	link $(LINK_FLAGS)/exe=demo1.exe demo1.obj, xpgp.olb/lib, xlink.opt/opt
	link $(LINK_FLAGS)/exe=demo2.exe demo2.obj, xpgp.olb/lib, xlink.opt/opt

clean : 
	delete *.exe;*, *.obj;*, *.olb;*
	purge


! Dependancies

xpgp.obj		: xpgp.c $(HEADERS)
xpgp_x.obj		: xpgp_x.c $(HEADERS)
xpgp_ps.obj		: xpgp_ps.c $(HEADERS)
xpgp_bmp.obj		: xpgp_bmp.c $(HEADERS)
psencode.obj		: psencode.c $(HEADERS)
demo1.obj		: demo1.c $(HEADERS)
demo2.obj		: demo2.c $(HEADERS)
demo3.obj		: demo3.c $(HEADERS)