#include <stdio.h>
#include <stdlib.h>
#include "Xpgp.h"


int main(int atgc, char *argv[])
{
 int i;
 unsigned char image[]={
     1, 1, 1, 1, 1,
     1, 0, 0, 0, 1,
     1, 0,31, 0, 1,
     1,21, 0, 0, 1,
     1, 1, 1, 1, 1
 };

 char bitmap[]={
     0xff, 0xff,
     0x80, 0x03,
     0x80, 0x03,
     0x81, 0x03,
     0x82, 0x03,
     0x80, 0x03,
     0xff, 0xff
 };

 OpenBMP("demo3.bmp", 400, 350);		/* open device 0 */
 Plot(0,0);
 Plot(1,1);
 Plot(2,3);

 Plot(150,155);
 Ellipse(150,155, 40, 30);

 Arc(150,155,45,35, 0,90);
 Pen(11);
 Arc(150,155,47,36, 90,180);
 Pen(21);
 Arc(150,155,48,37, 180,270);
 Pen(31);
 Arc(150,155,49,38, 270,360);

 
 for(i=0;i<100;i+=10) {
     Pen(31);
     Plot(55,51);
     Plot(i+5, 9);
     Pen(1);
     Line(55,50, i+5, 10);
 }

 for(i=0;i<20;i++) {
     Pen(31);
     Plot(9,i+100);
     Plot(11+i,i+100);
     Pen(1);
     Line(10, i+100, 10+i, i+100);
 }
 
 
 for(i=0;i<32;i++) {
   Pen(i);
   Plot(i,70);
 }

 Rectangle(100,100, 10, 10);
 RectangleS(120,100, 140, 120);
 Triangle(90,90, 100,100, 100,90);

 FilledRectangle(150,100, 10, 10);
 FilledRectangleS(170,100, 190, 120);
 FilledTriangle(140,90, 150,100, 150,90);


 Circle(100,50,30);
 Ellipse(100,50,30,10);
 Ellipse(100,50,10,30);
 Pen(1);
 RectangleS(69,19, 131,81);

 FilledEllipse(180,50,10,30);
 Ellipse(180,50,12,32);

 Pen(10);
 FilledEllipse(250,50,30,10);
 Ellipse(250,50,32,12);

 Pen(30);
 for(i=10;i<180;i+=12)
     Arc(240, 100, i/6, i/4, 0, i);

 Pen(20);
 FilledCircle(240, 150, 30);
 Circle(240, 150, 32);

 Pen(1);
 Ellipse(50, 150, 40, 30);
 Arc(50,150, 45, 35, 45, 270);

 for(i=10; i<100; i+=5)
     Ellipse(100, 250, i, i/2);

 Pen(31);
 for(i=0;i<50;i+=10)
     Ellipse(250,250,i,50-i);

 Pen(1);
 RectangleS(308,  8, 316, 16);
 PutImage(310, 10, image, 5,5);
 Pen(31);
 Plot(308,8);

 PutBitmap(310, 25, bitmap, 15,7, 31, 1);
 PutBitmap(310, 35, bitmap, 16,7, 31, 1);

 SetLineWidth(2);
 Line(30, 75, 100, 130);
 
 SetQP(10, QPrect);
 PlotQP(35, 20);
 PlotQP(36, 21);
 PlotQP(35, 22);
 SetQP(10, QPcirc);
 PlotQP(37, 22);
 PlotQP(38, 22);
 PlotQP(38, 23); 
 PlotQP(37, 24); 

 SetLineWidth(1);

 FilledArc(320,185, 33, 78, 31, 288);
 FilledArc(250,100, 71, 23, 20, 110);

 FilledTriangle(350, 100,
		380, 120,
		380, 90);

 DrawString(2, 349, "1234567890abcdefgj^ABCDEGJ?'$@+-#| last point.");
 CloseDevice(0);				/* close devices */
 printf("Output file: demo3.bmp\n");
 return 0;
}
    

